Subject: Ticket Assigned - online returns not working
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 18 Feb 2022 09:46:40 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  online returns not working Hiya,

I have been trying to return an item for about 4 days now but when I login to my account the 'returns' button under my order history page pops up and then disappears again.

I would like to return the following item- please let me know how to do it.

Order #9537025380
item: Elvio Round Decorative Wall Mirror with Cutwork Border

Thanks in advance,

Emily

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3908534